libzypp 17.37.10

zypp::ShutdownLock Class Reference

Attempts to create a lock to prevent the system from going into hibernate/shutdown. More...

`#include <zypp-core/ShutdownLock_p.h>`

## Public Member Functions
| ShutdownLock (const std::string &who, const std::string &reason)
| ~ShutdownLock ()

## Private Attributes
shared_ptr< ExternalProgramWithSeperatePgid > | _prog

## Detailed Description

Attempts to create a lock to prevent the system from going into hibernate/shutdown.

The lock is automatically released when the object is destroyed.

Definition at line 31 of file ShutdownLock_p.h.

## Constructor & Destructor Documentation

## ◆ ShutdownLock()

zypp::ShutdownLock::ShutdownLock | ( | const std::string & | who,
|  | const std::string & | reason )

Definition at line 8 of file ShutdownLock.cc.

## ◆ ~ShutdownLock()

zypp::ShutdownLock::~ShutdownLock | ( |  | ) |

Definition at line 30 of file ShutdownLock.cc.

## Member Data Documentation

## ◆ _prog

shared_ptr<ExternalProgramWithSeperatePgid> zypp::ShutdownLock::_prog
| private

Definition at line 38 of file ShutdownLock_p.h.

The documentation for this class was generated from the following files:

- zypp-core/ShutdownLock_p.h
- zypp-core/ShutdownLock.cc